from django.conf.urls.defaults import *
from django.views.generic.simple import direct_to_template
#from django.views.generic.base import TemplateView
from django.conf import settings

#class HomeView(TemplateView):
#    template_name = 'home.html'
#
#urlpatterns = patterns('',
#    ('^$', HomeView.as_view())
#)

urlpatterns = patterns('wlheatmap',
    url(r'^$', direct_to_template, {'template' : 'home.html'}),
    url(r'^js/LayerBase.js$', 'js_layer_base'),
    url(r'^tile/fixed/wl-only/(?P<zoom>\d+)/(?P<x>\d+),(?P<y>\d+).png$', 'tile.fixed_wl_only'),
    url(r'^tile/(?P<zoom>\d+)/(?P<x>\d+),(?P<y>\d+).png$', 'tile.serve_tile'),
    url(r'^nodelist/(?P<zoom>\d+),(?P<lat>[0-9.]+),(?P<lon>[0-9.]+)$', 'nodelist.serve_nodelist'),
    url(r'^filters/$', 'filters.serve_filters'),
)
